Subject: [bug#53818] [PATCH 0/3] Add Repology updater

From: Ludovic Courtès <[email-masked]>
Date: Tue, 08 Feb 2022 23:59:15 +0100

Hi!

Xinglu Chen <[email-masked]> skribis:

> This patchset adds a new updater, which scans Repology[1] for updates.
> It should technically support all packages in Guix!  :-)

I wouldn’t want to spoil the party, but I’m mildly enthusiastic.

Repology implements the same functionality as our updaters, so
repology.org is effectively “service as a software substitute” (SaaSS).

My preference would be to keep our existing updaters rather than
effectively ditch them and delegate the work to Repology.  It’s tempting
to think we can have both, but I’m not sure this would last long.

WDYT?

Ludo’.